Create account + API key from email
Public endpoint for AI agents. Creates a user account, organization, project, and admin API key from just an email address. The API key works immediately. Returns a claim_url for the user to set their password. Rate-limited to 3 per IP per hour.
POST
/agent/bootstrap
Public endpoint for AI agents. Creates a user account, organization, project, and admin API key from just an email address. The API key works immediately. Returns a claim_url for the user to set their password. Rate-limited to 3 per IP per hour.
Request Body required
application/jsonemail
string (email)
REQUIRED
Customer's email address
name
string
Customer's name (optional)
Responses
201
Account created
application/jsondata
object
api_key
string
Admin API key (hu_ prefix). Works immediately.
organization_id
string
user_id
string
email
string
claim_url
string
URL for user to set their password (72h expiry)
claim_expires_in
string
dashboard_url
string
message
string
409
Email already registered
429
Rate limit exceeded (3/hr per IP)
curl -X POST 'https://happyuptime.com/api/v1/agent/bootstrap' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com", "name": "string"}'
const response = await fetch('https://happyuptime.com/api/v1/agent/bootstrap', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "email": "user@example.com", "name": "string" })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://happyuptime.com/api/v1/agent/bootstrap', json={ "email": "user@example.com", "name": "string"})print(response.json())
201
Response
{ "data": { "api_key": "<string>", "organization_id": "<string>", "user_id": "<string>", "email": "<string>", "claim_url": "<string>", "claim_expires_in": "72h", "dashboard_url": "<string>", "message": "<string>" }}
API Playground
Try this endpoint
POST
/agent/bootstrap